package com.hydraql.thrift.example;

import com.hydraql.type.ColumnType;
import java.util.List;
import java.util.function.Function;
import java.util.stream.Collectors;
import org.apache.hadoop.hbase.thrift.generated.Hbase.Client;
import org.apache.thrift.TException;
import org.apache.thrift.protocol.TBinaryProtocol;
import org.apache.thrift.transport.TSocket;
import org.apache.thrift.transport.TTransportException;

public class HBaseThriftApiTest {

   public static void main(String[] args) throws TTransportException {
      test2();
   }

   public static void test1() throws TTransportException {
      TSocket socket = new TSocket("myhbase", 9090);
      TBinaryProtocol protocol = new TBinaryProtocol(socket);
      Client hbaseClient = new Client(protocol);

      try {
         socket.open();
         List allTableNames = (List)hbaseClient.getTableNames().stream().map((param1) -> {
            return ColumnType.toString(t.array());
         }).collect(Collectors.toList());
         System.out.println(allTableNames);
         Thread.sleep(60000L);
         System.out.println("此处停顿了一分钟......");
         allTableNames = (List)hbaseClient.getTableNames().stream().map((param1) -> {
            return ColumnType.toString(t.array());
         }).collect(Collectors.toList());
         System.out.println(allTableNames);
         Thread.sleep(120000L);
         System.out.println("此处停顿了两分钟......");
         allTableNames = (List)hbaseClient.getTableNames().stream().map((param1) -> {
            return ColumnType.toString(t.array());
         }).collect(Collectors.toList());
         System.out.println(allTableNames);
      } catch (Exception var8) {
         var8.printStackTrace();
      } finally {
         socket.close();
      }

   }

   public static void test2() throws TTransportException {
      int x = 0;

      while(true) {
         TSocket socket = new TSocket("myhbase", 9090);
         TBinaryProtocol protocol = new TBinaryProtocol(socket, true, true);
         Client hbaseClient = new Client(protocol);

         try {
            socket.open();
            List e = (List)hbaseClient.getTableNames().stream().map((param1) -> {
               return ColumnType.toString(t.array());
            }).collect(Collectors.toList());
            System.out.println(e);
            System.out.println(x);
         } catch (TException var6) {
            var6.printStackTrace();
         }

         try {
            Thread.sleep(500L);
         } catch (InterruptedException var5) {
            var5.printStackTrace();
         }

         ++x;
      }
   }
}
